﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Configuration.aspx.cs" Inherits="TicketM.Configuration.Configuration" MasterPageFile="./ConfigSite.Master" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>Ticketing Application Configuration Manager</h1>
            </hgroup>
            <nav>
                    <ul id="lmenu">
                        <li><a id="A1" runat="server" href="#"><span style="color: darkslategray">Servers and Accounts</span></a></li>
                        <li><a id="A2" runat="server" href="Routing.aspx">Conditional Assignment</a></li>
                        <li><a id="A3" runat="server" href="Products.aspx">Products List</a></li>
                        <li><a id="A4" runat="server" href="Escalation.aspx">Escalation</a></li>
                    </ul>
                </nav>
         </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <table style="border-bottom: solid; border-color: lightgray">
        <tr>
            <td style="vertical-align: top; margin-left: 30px">
                <table>
                    <tr>
                        <td colspan="2" style="border-bottom: solid; border-top: solid; border-color: black; border-bottom-color: lightgray; color: darkcyan; font-size: large">Notification Settings</td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Name of your MS Exchange Server
                        </td>
                        <td>
                            <asp:TextBox ID="ExServer" runat="server" />
                            <asp:RequiredFieldValidator ErrorMessage="*" ControlToValidate="ExServer" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Version of your MS Exchange Server
                        </td>
                        <td style="padding-left: 22px">
                            <asp:DropDownList runat="server" ID="ExVer" Width="188px">
                                <asp:ListItem Text="Exchange 2007 SP1" />
                                <asp:ListItem Text="Exchange 2010" />
                                <asp:ListItem Text="Exchange 2010 SP1" Selected="True" />
                                <asp:ListItem Text="Exchange 2010 SP2" />
                                <asp:ListItem Text="Exchange 2013" />
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Helpdesk Email Account
                    <br />
                            (eg. helpdesk@mydomain.com)
                        </td>
                        <td>
                            <asp:TextBox ID="HelpDeskEmail" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ErrorMessage="*" ControlToValidate="HelpDeskEmail" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Password of Helpdesk Email Account
                        </td>
                        <td>
                            <asp:TextBox ID="HelpDeskPassword" runat="server" Width="182px" />
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="HelpDeskPassword" ErrorMessage="*" ForeColor="Red" />
                            <asp:RegularExpressionValidator ControlToValidate="HelpDeskPassword" ForeColor="Red" runat="server"
                                ErrorMessage="Minimum password length is 6" Font-Size="X-Small" ValidationExpression="[0-9a-zA-Z]{6,}" />
                        </td>
                    </tr>
                    <tr>

                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                    </tr>
                </table>

            </td>
            <td>
                <table>
                    <tr>
                        <td colspan="2"style="border-bottom:solid;border-top:solid;border-color:black;border-bottom-color:lightgray;color:darkcyan;font-size:large"">TFS Settings</td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Team Foundation Server
                        </td>
                        <td>
                            <asp:TextBox ID="Tfs" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="Tfs" ErrorMessage="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Team Project Collection
                        </td>
                        <td>
                            <asp:TextBox ID="TPC" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TPC" ErrorMessage="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">Team Project Name (for Support System)
                        </td>
                        <td>
                            <asp:TextBox ID="TP" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="TP" ErrorMessage="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">
                            TFS Admin User Name
                        </td>
                        <td>
                            <asp:TextBox ID="TfsAdmin" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="TfsAdmin" ErrorMessage="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td class="auto-style1">TFS Admin Password
                        </td>
                        <td>
                            <asp:TextBox ID="TfsAdminPwd" runat="server"/>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="TfsAdminPwd" ErrorMessage="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr style="border-bottom:solid;border-bottom-color:black">
                <td class="auto-style1">
                    Active Directory Domain
                </td>
                <td>
                    <asp:TextBox ID="ADDomain" runat="server" />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="ADDomain" ErrorMessage="*" ForeColor="Red" />
                </td>
            </tr>
                    <tr>
                        <td class="auto-style1"></td>
                        <td align="center">
                <asp:Button ID="SubmitButton" OnClick="SubmitButton_Click" Text="Submit"  runat="server" Width="160px" />
            </td>
            </table>
            </td>
        </tr>
    </table>




</asp:Content>
<asp:Content ID="Content1" runat="server" contentplaceholderid="HeadContent">
    <style type="text/css">
        .auto-style1 {
            width: 250px;
            margin-left: 30px;
        }
    </style>
</asp:Content>

